name: unicblue/testimonials-slideshow
typeName: unicblue_testimonials_slideshow
group: hks
prefixFields: true
prefixType: full
fields:
  - identifier: headers
    type: Palette
    fields:
      - identifier: header
        useExistingField: true
      - identifier: header_layout
        useExistingField: true
      - identifier: header_position
        useExistingField: true
  - identifier: testimonials
    type: Collection
    labelField: author_name
    minitems: 1
    maxitems: 24
    fields:
      - identifier: quote_text
        type: Textarea
        required: true
        rows: 4
      - identifier: author_name
        type: Text
        required: true
      - identifier: author_location
        type: Text
      - identifier: author_image
        type: File
        allowed: common-image-types
        minitems: 0
        maxitems: 1
  - identifier: tab_layout
    type: Tab
    label: 'Layout'
  - identifier: tx_hks_container
    type: Select
    useExistingField: true
  - identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  - identifier: options_palette
    type: Palette
    fields:
      - identifier: slides_per_page
        type: Select
        translatable: false
        renderType: selectSingle
        default: '3'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/testimonials-slideshow/language/labels.xlf:slides_per_page.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/testimonials-slideshow/language/labels.xlf:slides_per_page.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/testimonials-slideshow/language/labels.xlf:slides_per_page.items.3
            value: '3'
      - identifier: speed
        type: Number
        translatable: false
        default: 600
      - identifier: show_arrows
        type: Checkbox
        translatable: false
        default: 1
      - identifier: tx_hks_theme
        type: Select
        useExistingField: true
  - identifier: spacing_palette
    type: Palette
    fields:
      - identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      - identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
